Subject: Re: SDRAM failures on MPC5200B

From: Frank Bennett <[email-masked]>
Date: Fri, 20 Jul 2007 11:03:40 -0600

lokowich wrote:
> We're working on bringing up a MPC5200B version of our original 
> MPC5200 board using U-Boot 1.1.4 configured for Icecube/Lite5200B.  
> Other than the CPU, the board is identical.  The bootloader crashes 
> just after relocation to RAM, often with a Program Check Exception, 
> typically a memory corruption issue.  I noticed failures at different 
> stages after relocation based on content, suggesting problems with 
> upper SDRAM.  If I force the initram to 1/2 the determined size (64MB 
> instead of 128MB), then everything works well through kernel load and 
> initialization.  We've added termination resistors to improve AD 
> signals, to no avail.  Memory tests work fine too.  Any help is 
> appreciated.
Review MPC5200B errata data sheets.  I found a BDI2000 + RS232 console 
port most useful for turning on a new design.  Even
the exercise of BDI commands to tftp load/verify, memory write/verify, 
debugging u-boot to run out of ram, with & w/o cache
turned on can be enlightening.

/*/Frank Bennett
President/*/

Mathegraphics,LLC
613 Bentley Pl
Fort Collins,CO 80526
www.mathegraphics.com <http://www.mathegraphics.com/>_
_

>
> Thanks,
> Mark Lokowich
> Systems Engineer
> Advanced Communication Design
> 7901 12th Ave. So.
> Bloomington, MN 55425
> 952-854-4000
> [email-masked]
> This email was Anti Virus checked by Astaro Security Gateway. http://www.astaro.com
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded